{% extends 'base.html.twig' %}

{% block title %}Actualités{% endblock %}

{% block body %}
<section class="page-post">
    <div class="container ">
        <h3 class="title-STOP text-center " data-aos="zoom-in">Actualités</h3>
        <div class="row">
            {% for blogpost in blogposts %}
            <div class="col-md-4  my-4 "  >
                <div class="card h-100 border-primary-STOP" data-aos="fade-up">
                    <a href="{{path('actualites_details', {'slug': blogpost.slug}     )}}">

                        <div class="card-body ">
                            <article class="actualite-custom">
                                <div class="blockquote-custom-icon m-2">
                                    <i class="fa fa-bars"></i>
                                </div>

                                <h1 class="card-title">{{blogpost.titre}}</h1>
                                <p class="card-text mb-0 mt-2 font-italic">
                                    {{ blogpost.contenu|u.truncate(200, '...', false) }}</p>
                                <div>
                                    <small class="text-muted"><i class="fas fa-calendar-days"></i> Ajouter le:
                                        {{ blogpost.date|date('d/m/y') }}</small>
                                </div>

                            </article>

                        </div>
                    </a>
                </div>
            </div>
            {% endfor %}
        </div>
        <div class="d-flex justify-content-center">
            {% do blogposts.setPageRange(2) %}
            {{ knp_pagination_render( blogposts, 'base/pagination.html.twig' )  }}
        </div>
    </div>
</section>
{% endblock %}